Listar automações
curl --request GET \
--url https://api.olie.ai/api/management/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"automations": [
{
"id": 33,
"title": "[Postman doc] Avisar equipe na manutenção corretiva",
"active": false,
"trigger_event": "project_step_moved_trigger",
"trigger_relations": [
{
"id": 46,
"name": "Manutenção Corretiva",
"project_funnel_id": 7,
"sensation_amount": 34,
"step_forward_id": null,
"step_backward_id": null,
"order": 4,
"help_text": null,
"form_id": null,
"sort_config": null,
"allow_execution": true,
"show_customer_form": false,
"show_contact_form": false,
"hide_customer_form_when_linked": false,
"hide_contact_form_when_linked": false,
"created_at": "2026-08-21T16:33:51.000000Z",
"updated_at": "2026-09-14T19:12:44.000000Z",
"deleted_at": null,
"__type": "App\\Models\\FunnelStep"
}
],
"components_count": 3,
"executions": 0,
"created_at": "2026-09-22T22:02:08.000000Z",
"updated_at": "2026-09-22T22:02:16.000000Z",
"deleted_at": null
}
]
}{
"response": false,
"message": "invalid_filter_query",
"error": "Requested filter(s) `foo` are not allowed. Allowed filter(s) are `title, active, trigger_event`.",
"allowed_filters": [
"title",
"active",
"trigger_event"
],
"unknown_filters": [
"foo"
]
}automations
Listar automações
Lista todas as automações da conta, sem paginação, com o gatilho de cada uma, a quantidade de componentes e o número de execuções. Aceita os filtros de Filtros básicos; filtro desconhecido retorna 400. Conceito em Automações.
GET
/
api
/
management
/
automations
Listar automações
curl --request GET \
--url https://api.olie.ai/api/management/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"automations": [
{
"id": 33,
"title": "[Postman doc] Avisar equipe na manutenção corretiva",
"active": false,
"trigger_event": "project_step_moved_trigger",
"trigger_relations": [
{
"id": 46,
"name": "Manutenção Corretiva",
"project_funnel_id": 7,
"sensation_amount": 34,
"step_forward_id": null,
"step_backward_id": null,
"order": 4,
"help_text": null,
"form_id": null,
"sort_config": null,
"allow_execution": true,
"show_customer_form": false,
"show_contact_form": false,
"hide_customer_form_when_linked": false,
"hide_contact_form_when_linked": false,
"created_at": "2026-08-21T16:33:51.000000Z",
"updated_at": "2026-09-14T19:12:44.000000Z",
"deleted_at": null,
"__type": "App\\Models\\FunnelStep"
}
],
"components_count": 3,
"executions": 0,
"created_at": "2026-09-22T22:02:08.000000Z",
"updated_at": "2026-09-22T22:02:16.000000Z",
"deleted_at": null
}
]
}{
"response": false,
"message": "invalid_filter_query",
"error": "Requested filter(s) `foo` are not allowed. Allowed filter(s) are `title, active, trigger_event`.",
"allowed_filters": [
"title",
"active",
"trigger_event"
],
"unknown_filters": [
"foo"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Busca parcial no nome da automação.
Situação: 1 (ligadas) ou 0 (desligadas).
Variante do gatilho (ex.: project_step_moved_trigger).
Was this page helpful?